﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PreservingItemsPositions_SL5
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void RadDiagram_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            if (e.PreviousSize != null && e.PreviousSize.Width != 0 && e.PreviousSize.Height != 0)
            {
                double deltaX = (e.NewSize.Width / e.PreviousSize.Width);
                double deltaY = (e.NewSize.Height / e.PreviousSize.Height);

                this.radDiagram.Shapes.ToList().ForEach(x =>
                {
                    x.Position = new Point(x.Position.X * deltaX, x.Position.Y * deltaY);
                    x.Width = x.Width * deltaX;
                    x.Height = x.Height * deltaY;
                });
            }
        }   
    }
}
